## xvidcore-1.2.1.tar.bz2

=== vfw/bin/Makefile ===
##############################################################################
#
# Makefile for XviD VFW driver
#
# Author : Milan Cutka <cutka at szm.sk>
# Modified by : Edouard Gomez <ed.gomez at free.fr>
#               Peter Ross <pross@xvid.org>
#
# Requires GNU Make because of shell expansion performed at a bad time with
# other make programs (even using := variable assignments)
#
# $Id: Makefile,v 1.6 2008/11/27 11:57:28 Isibaar Exp $
##############################################################################

include sources.inc

MAKEFILE_PWD:=$(shell pwd)
LOCAL_XVID_SRCTREE:=$(MAKEFILE_PWD)/../../src
LOCAL_XVID_BUILDTREE:=$(MAKEFILE_PWD)/../../build/generic/=build

RM = rm -rf
WINDRES=windres

# Constants which should not be modified
# The `mingw-runtime` package is required when building with -mno-cygwin
CFLAGS += -I$(SRC_DIR)/w32api -I$(LOCAL_XVID_SRCTREE)
CFLAGS += -mno-cygwin

##############################################################################
# Optional Compiler options
##############################################################################

CFLAGS += -Wall
CFLAGS += -O2
CFLAGS += -fstrength-reduce
CFLAGS += -finline-functions
CFLAGS += -fgcse
CFLAGS += -ffast-math

##############################################################################
# Compiler flags for linking stage
##############################################################################

# LDFLAGS +=

##############################################################################
# Rules
##############################################################################

OBJECTS = $(SRC_C:.c=.obj)
OBJECTS+= $(SRC_RES:.rc=.obj)

.SUFFIXES: .obj .rc .c

BUILD_DIR = =build
VPATH     = $(SRC_DIR):$(BUILD_DIR)

all: $(LIBSO)

$(BUILD_DIR):
	@echo "  D: $(BUILD_DIR)"
	@mkdir -p $(BUILD_DIR)

.rc.obj:
	@echo "  W: $(@D)/$(<F)"
	@mkdir -p $(BUILD_DIR)/$(@D)
	@$(WINDRES) \
		--include-dir=$(SRC_DIR) \
		--input-format=rc \
		--output-format=coff \
		-o $(BUILD_DIR)/$@ $<

.c.obj:
	@echo "  C: $(@D)/$(<F)"
	@mkdir -p $(BUILD_DIR)/$(@D)
	@$(CC) $(CFLAGS) -c -o $(BUILD_DIR)/$@ $<

$(LIBSO): $(BUILD_DIR) $(OBJECTS)
	@echo "  L: $(@F)"
	@cp $(SRC_DIR)/driverproc.def $(BUILD_DIR)/driverproc.def
	@cd $(BUILD_DIR) && \
		$(CC) $(LDFLAGS) \
			-mno-cygwin -shared -Wl,-dll,--out-implib,$@.a,--enable-stdcall-fixup \
			-o $@ \
			$(OBJECTS) driverproc.def \
			-lgdi32 -lwinmm -lcomdlg32 -lcomctl32

clean:
	@echo "  Cl: Object files and target lib"
	@$(RM) $(BUILD_DIR)

install:
	@echo "  I: xvid.dll"
	@cp $(BUILD_DIR)/$(LIBSO) $(LIBSO)
	@rundll32.exe setupapi,InstallHinfSection DefaultInstall 132 ./xvid.inf
	@rm $(LIBSO)

uninstall:
	@rundll32.exe setupapi,InstallHinfSection Remove_XviD 132 ./xvid.inf

=== debian/changelog ===
xvidcore (1.2.1-1) stable; urgency=low

  * New upstream release

 -- Michael Militzer <michael@xvid.org>  Wed,  3 Dez 2008 11:28:52 +0100

xvidcore (1.2.0-1) stable; urgency=low

  * New upstream release

 -- Michael Militzer <michael@xvid.org>  Thu, 28 Nov 2008 18:56:07 +0100

xvidcore (1.2.0-0beta1) unstable; urgency=low

  * New upstream release

 -- Michael Militzer <michael@xvid.org>  Tue, 02 Sep 2008 14:14:29 +0100

xvidcore (1.1.3-1) stable; urgency=low

  * New upstream release

 -- Michael Militzer <michael@xvid.org>  Thu, 28 Jun 2007 17:04:12 +0100

xvidcore (1.1.2-1) stable; urgency=low

  * New upstream release

 -- Michael Militzer <michael@xvid.org>  Wed, 1 Nov 2006 11:40:38 +0100

xvidcore (1.1.1-1) stable; urgency=low

  * New upstream release

 -- Michael Militzer <michael@xvid.org>  Mon, 10 Jul 2006 22:08:24 +0100

xvidcore (1.1.0-0beta3) unstable; urgency=low

  * New upstream release

 -- Edouard Gomez <ed.gomez@free.fr>  Fri, 14 Oct 2005 22:30:39 +0200

xvidcore (1.1.0-0beta2) unstable; urgency=low

  * New upstream release

 -- Edouard Gomez <ed.gomez@free.fr>  Sun,  3 Apr 2005 22:24:36 +0200

xvidcore (1.1.0-0beta1) unstable; urgency=low

  * New upstream release

 -- Edouard Gomez <ed.gomez@free.fr>  Sun,  9 Jan 2005 21:43:12 +0100

xvidcore (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Edouard Gomez <ed.gomez@free.fr>  Sun, 19 Dec 2004 12:36:56 +0100

xvidcore (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Edouard Gomez <ed.gomez@free.fr>  Sun, 29 Aug 2004 12:30:39 +0200

xvidcore (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Edouard Gomez <ed.gomez@free.fr>  Sun,  6 Jun 2004 14:22:24 +0200

xvidcore (1.0.0-2) unstable; urgency=low

  * New debian packaging attempt. (Closes: #232658)
  * debian/control: nasm dependency for i386 changed from nasm [i386]
    to nasm | not+i386 on advice from Robert Millan.
  * debian/README.Debian: the text was a bit confusing, changed it so
    it doesn't suggest the package is compiled for a specific subarch.
  * debian/rules: fixed the dh_link package targets (were using
    $version instead of $major)

 -- Edouard Gomez <ed.gomez@free.fr>  Sat, 29 May 2004 12:10:37 +0200

xvidcore (1.0.0-1) unstable; urgency=low

  * New upstream release 

 -- Edouard Gomez <edy@edgomez.dyndns.org>  Sun,  9 May 2004 00:29:15 +0200

xvidcore (1.0-0cvs) unstable; urgency=low

  * Initial Release.
  * First attempt to package XviD.

 -- Edouard Gomez <ed.gomez@free.fr>  Sun,  4 May 2003 20:55:37 +0200

=== debian/control ===
Source: xvidcore
Section: libs
Priority: optional
Maintainer: Edouard Gomez <ed.gomez@free.fr>
Build-Depends: debhelper (>= 5), nasm (>= 2.0.0) [i386]
Standards-Version: 3.5.8

Package: libxvidcore4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: High quality ISO MPEG4 codec library
 Xvid is a high quality/performance ISO MPEG4 codec. This package contains
 the runtime core library that can be used by various programs (among them
 mplayer/mencoder, transcode)

Package: libxvidcore4-dev
Section: libdevel
Architecture: any
Depends: libxvidcore4 (= ${binary:Version})
Provides: libxvidcore-dev
Conflicts: libxvidcore-dev, libxvidcore2-dev, libxvidcore3-dev
Description: Development files for the Xvid ISO MPEG4 codec
 This package includes header files and static library needed for development
 based on Xvid core.
